Simulator Rate

This route enables users to simulate a credit operation using the rate model.

📘

Through this route you can simulate the credit operation using the RATE model. Customer registration is not required for the process.

🚧

Attention point:

  • To consume the route, it is necessary to pass the product code as a parameter.
  • It is only possible to register the TAC once the relationship with the client is finalized. If the client has outstanding installments, it is not possible!

Payment method type

ValueDescription
1Payment Slip
2Bank Check
3Duplicates
4Credit Card

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-02Invalid hash.
400400-10Please provide the correct document.
400400-23Values outside the parametrization: 'X'
400400-24The operation could not be simulated.
400400-43Error when registering the result of the installments.
400400-46Error when registering the result of the operation.
400400-47For the iof_finance field, you must enter Y to finance fees and N when not necessary.
400400-61Error simulating: 'X'
400400-77The purchaser is disabled.
401401-05Unauthorized or token invalid
406406-03field 'X' is mandatory and was not informed.
406406-04The purchaser was not found.
429429-01Too many requests
400400-83The customer has installments to pay, so it is not possible to send tariff_amount.
400400-81Client has ongoing operations.
400400-84It is not possible to charge free_tariff_amount for the simulation product.

Response Parameters

ParameterTypeDescription
request_codestringCode of the request made
returnbooleanIndicates whether the request was successful
return_codestringReturn code of the request
messagestringMessage indicating the reason for the response
dataobjectObject containing additional information
data.codestringCode of the simulated operation
data.document_customerstringCustomer's document
data.name_customerstringCustomer's name
data.requested_amountnumberAmount requested by the customer
data.tariff_amountnumberTariff amount
data.disbursement_amountnumberAmount disbursed
data.iof_amountnumberIOF (Tax on Financial Operations) amount
data.iof_financedstringIndicates whether the IOF is financed (S/N)
data.rate_iof_people_amountnumberIOF rate for individuals
data.rate_iof_base_amountnumberBase IOF rate
data.financed_amountnumberTotal amount financed
data.total_interest_amount_installmentsnumberTotal interest amount over installments
data.rate_amountnumberInterest rate amount
data.total_installmentsnumberTotal number of installments
data.entry_datestringEntry date of the operation
data.first_due_datestringDue date of the first installment
data.last_due_datestringDue date of the last installment
data.monthly_CET_amountnumberMonthly CET (Total Effective Cost) amount
data.annual_CET_amountnumberAnnual CET (Total Effective Cost) amount
data.installmentsarrayArray containing installment information
data.installments.codestringCode of the installment
data.installments.amortized_amountnumberAmortized amount for the installment
data.installments.interest_amountnumberInterest amount for the installment
data.installments.debt_amountnumberRemaining debt amount for the installment
data.installments.installment_amountnumberTotal amount of the installment
data.installments.installmentnumberInstallment number
data.installments.due_datestringDue date of the installment
data.installments.days_until_expirationnumberNumber of days until the installment expires

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!